package intrinsic.mx.states;

public class State extends intrinsic.flash.events.EventDispatcher {

	/** Accessors */

	/** Variables */
	public String basedOn;
	public String name;
	public intrinsic.Array overrides;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public State() {
}


/** Static Methods */

/** Methods */
public native void initialize();
public native void dispatchEnterState();
public native void dispatchExitState();

}
